Bug 1906032 - Canary Controller: Canary daemonset rolls out slowly in large clusters
Summary: Canary Controller: Canary daemonset rolls out slowly in large clusters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Stephen Greene
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-09 14:54 UTC by Stephen Greene
Modified: 2021-02-24 15:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:41:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 509 0 None closed Bug 1906032: Canary: Set daemonset MaxUnavailable to 10% 2021-01-19 08:55:20 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:41:35 UTC

Description Stephen Greene 2020-12-09 14:54:20 UTC
Similar to https://bugzilla.redhat.com/show_bug.cgi?id=1880148, but for the canary controller. The canary daemonset should set MaxUnavailable to 10% instead of the default absolute value of 1.

Comment 1 Hongan Li 2020-12-10 08:28:16 UTC
verified with a cluster launched by cluster-bot and passed

# oc get clusterversion
NAME      VERSION                                           AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.ci.test-2020-12-10-072630-ci-ln-rdqt9gb   True        False         25m     Cluster version is 4.7.0-0.ci.test-2020-12-10-072630-ci-ln-rdqt9gb

# oc -n openshift-ingress-canary get ds/ingress-canary -oyaml
<---snip--->
  updateStrategy:
    rollingUpdate:
      maxUnavailable: 10%
    type: RollingUpdate
status:
  currentNumberScheduled: 4
  desiredNumberScheduled: 4
  numberAvailable: 4
  numberMisscheduled: 0
  numberReady: 4
  observedGeneration: 1
  updatedNumberScheduled: 4

Comment 5 errata-xmlrpc 2021-02-24 15:41:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.